de.esprit.netsuite.client

## Class ClientEnvStore<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.gui.util.EnvStore
    - - de.esprit.netsuite.client.ClientEnvStore<C>

- All Implemented Interfaces:
    Dumpable, ClientObject<C>

      public class ClientEnvStore<C extends ClientContext>
      extends EnvStore
      implements ClientObject<C>

  This EnvStore supports for detecting whether the client has been reinstalled by JavaWebstart.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientEnvStore(C clientCtx)`
    `ClientEnvStore(C clientCtx, java.io.File envDir, java.lang.String name)`
    `ClientEnvStore(C clientCtx, java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getClientContext()` Returns the the client runtime environment
    `boolean` | `isFirstLaunch()` Tells whether this client launch is the first after a reinstallation by Java WebStart, which is detected by comparing the current buildNumber with the last stored buildNumber.

    - ### Methods inherited from class de.esprit.common.gui.util.EnvStore

      `containsKey, getAsBoolean, getAsBoolean, getAsColor, getAsDimension, getAsInt, getAsInt, getAsLocation, getAsLong, getAsLong, getAsString, getAsString, initWindow, load, registerForSave, save, setStoreOnExit, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientEnvStore

          public ClientEnvStore(C clientCtx)

    - #### ClientEnvStore

          public ClientEnvStore(C clientCtx,
                        java.lang.String name)

    - #### ClientEnvStore

          public ClientEnvStore(C clientCtx,
                        java.io.File envDir,
                        java.lang.String name)

  - ### Method Detail

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

    - #### isFirstLaunch

          public boolean isFirstLaunch()

      Tells whether this client launch is the first after a reinstallation by Java WebStart, which is detected by comparing the current buildNumber with the last stored buildNumber.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.